## liblastfm 1.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.6)
project(liblastfm)

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

# general settings
set(LASTFM_VERSION 1.0.0)
set(LASTFM_SOVERSION 1)

# options
option(BUILD_FINGERPRINT "Build the lastfm-fingerprint library" OFF)
option(BUILD_DEMOS "Build the lastfm example programs" OFF)
option(BUILD_TESTS "Build liblastfm tests" ON)


# installation dirs
include(GNUInstallDirs)

#cmake module path
set(CMAKE_MODULE_PATH "${CMAKE_MODULE_PATH}" "${PROJECT_SOURCE_DIR}/cmake/Modules")

# setup qt stuff
find_package(Qt4 COMPONENTS QtCore QtNetwork QtXml REQUIRED)
set(CMAKE_AUTOMOC TRUE)

if(CMAKE_COMPILER_IS_GNUCXX)
    add_definitions("-fno-operator-names -fvisibility-inlines-hidden -fvisibility=hidden")
endif()
if(UNIX AND NOT APPLE)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wl,--no-undefined")
endif()

if(MSVC)
	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /Zc:wchar_t-")
endif(MSVC)

# main library
add_subdirectory(src)

# lastfm_fingerprint library
if(BUILD_FINGERPRINT)
    add_subdirectory(src/fingerprint)
endif()

# demos
if(BUILD_DEMOS)
    add_subdirectory(demos)
endif()

# tests
if(BUILD_TESTS)
    enable_testing()
    add_subdirectory(tests)
endif()

## liblastfm 0.4.0~git20090710

=== debian/changelog ===
liblastfm (0.4.0~git20090710-2) unstable; urgency=medium

  * Fix compilation with ruby1.9.1 >= 1.9.2 (Closes: #676104)
  * Use source format 3.0 (quilt)

 -- John Stamp <jstamp@users.sourceforge.net>  Mon, 16 Jul 2012 20:21:22 -0700

liblastfm (0.4.0~git20090710-1) unstable; urgency=low

  * New upstream release from git snapshot.
  * Bump Standards-Version to 3.8.2 (no changes needed).
  * Shorten package descriptions.
  * Bump shlibs version for liblastfm0.
  * Rename debug package.

 -- John Stamp <jstamp@users.sourceforge.net>  Tue, 14 Jul 2009 11:14:08 -0700

liblastfm (0.3.0-1) unstable; urgency=low

  * Initial release (Closes: #524948)

 -- John Stamp <jstamp@users.sourceforge.net>  Thu, 04 Jun 2009 21:21:45 -0700

=== debian/control ===
Source: liblastfm
Priority: extra
Maintainer: John Stamp <jstamp@users.sourceforge.net>
Build-Depends: debhelper (>= 7), ruby, libqt4-dev, libfftw3-dev, libsamplerate0-dev
Standards-Version: 3.8.2
Section: libs
Homepage: http://www.last.fm/
Vcs-Browser: http://github.com/jstamp/liblastfm
Vcs-Git: git://github.com/jstamp/liblastfm.git

Package: liblastfm-dev
Section: libdevel
Architecture: any
Depends: liblastfm0 (= ${binary:Version}), liblastfm-fingerprint0 (= ${binary:Version})
Description: The Last.fm web services library - development files
 liblastfm is a collection of C++/Qt4 libraries provided by Last.fm for use
 with their web services.
 .
 This package contains the development files. Developers working on a new
 client will need to request an API key. See README for more details.

Package: liblastfm0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: The Last.fm web services library
 liblastfm is a collection of C++/Qt4 libraries provided by Last.fm for use
 with their web services.
 .
 This package contains the base web services library.

Package: liblastfm-fingerprint0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: The Last.fm fingerprinting library
 liblastfm is a collection of C++/Qt4 libraries provided by Last.fm for use
 with their web services.
 .
 This library lets you fingerprint decoded audio tracks and fetch metadata
 suggestions for them.

Package: liblastfm-dbg
Architecture: any
Section: debug
Depends: liblastfm0 (= ${binary:Version}), liblastfm-fingerprint0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Debugging symbols for the Last.fm web services library
 liblastfm is a collection of C++/Qt4 libraries provided by Last.fm for use
 with their web services.
 .
 This package contains the debugging symbols for the liblastfm libraries.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

version=`ls _bin/lib*.so.* | \
 awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
major=`ls _bin/lib*.so.* | \
 awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

LDFLAGS += "-Wl,--no-undefined -Wl,--as-needed"

configure: config-stamp
config-stamp:
	dh_testdir
	./configure --release --prefix /usr --no-strip
	touch $@


build: build-stamp
build-stamp:  configure
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) headers __src __fingerprint

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp config-stamp

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean || true

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	DESTDIR=$(CURDIR)/debian/tmp $(MAKE) install


# Build architecture-independent files here.
binary-indep: install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_install
	dh_installman
	dh_link
	dh_strip --dbg-package=liblastfm-dbg
	dh_compress
	dh_fixperms
	dh_makeshlibs -pliblastfm0 -V'liblastfm0 (>= 0.4.0~git20090710)'
	dh_makeshlibs -pliblastfm-fingerprint0 -V'liblastfm-fingerprint0'
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## liblastfm 1.0.0

=== debian/changelog ===
liblastfm (1.0.0-0ubuntu4) quantal; urgency=low

  * Multiarch compatible wildcarding

 -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 12 Jun 2012 18:14:29 +0200

liblastfm (1.0.0-0ubuntu3) quantal; urgency=low

  * Build depend on cmake

 -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 12 Jun 2012 17:54:30 +0200

liblastfm (1.0.0-0ubuntu2) quantal; urgency=low

  * Drop cdbs' list-missing left overs

 -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 12 Jun 2012 17:50:20 +0200

liblastfm (1.0.0-0ubuntu1) quantal; urgency=low

  * New upstream release
  * Drop Vcs entries from control (was upstream VCS, which is not what the
    fields are supposed to be used for)
  * Don't run tests as they choose to fail
  * Convert do dh7 rules from manual makefile
  * Convert do source format 3 and use xz -9 compression on debian.tar.
  * Bump lib packages to soversion 1 and fix the wildcards to fail on so
    changes
  * Don't start synopsis with article
  * -dev to depend on libqt4-dev (LP: #796176)

 -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 12 Jun 2012 17:12:32 +0200

liblastfm (0.4.0~really0.3.3-0ubuntu1) maverick; urgency=low

  * New upstream release 0.3.3.
    0.4.0~git20090710 is in fact a version between 0.3.0 and 0.3.1.
  * Drop kubuntu_01_catch_exceptions_externally.diff, applied upstream.
  * Bump shlibs version for liblastfm0.

 -- Felix Geyer <debfx-pkg@fobos.de>  Wed, 29 Sep 2010 14:30:05 +0200

liblastfm (0.4.0~git20090710-1ubuntu1) maverick; urgency=low

  * Add kubuntu_01_catch_exceptions_externally.diff from upstream,
    recommended by Amarok developer

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 27 Sep 2010 12:15:42 +0100

=== debian/control ===
Source: liblastfm
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: John Stamp <jstamp@users.sourceforge.net>
Build-Depends: debhelper (>= 7), ruby, libqt4-dev, libfftw3-dev, libsamplerate0-dev, cmake
Standards-Version: 3.8.3
Section: libs
Homepage: http://www.last.fm/

Package: liblastfm-dev
Section: libdevel
Architecture: any
Depends: liblastfm1 (= ${binary:Version}), liblastfm-fingerprint1 (= ${binary:Version}),
 libqt4-dev
Description: Last.fm web services library - development files
 liblastfm is a collection of C++/Qt4 libraries provided by Last.fm for use
 with their web services.
 .
 This package contains the development files. Developers working on a new
 client will need to request an API key. See README for more details.

Package: liblastfm1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Last.fm web services library
 liblastfm is a collection of C++/Qt4 libraries provided by Last.fm for use
 with their web services.
 .
 This package contains the base web services library.

Package: liblastfm-fingerprint1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Last.fm fingerprinting library
 liblastfm is a collection of C++/Qt4 libraries provided by Last.fm for use
 with their web services.
 .
 This library lets you fingerprint decoded audio tracks and fetch metadata
 suggestions for them.

Package: liblastfm-dbg
Architecture: any
Section: debug
Depends: ${misc:Depends},
 liblastfm1 (= ${binary:Version}), liblastfm-fingerprint1 (= ${binary:Version})
Description: Debugging symbols for the Last.fm web services library
 liblastfm is a collection of C++/Qt4 libraries provided by Last.fm for use
 with their web services.
 .
 This package contains the debugging symbols for the liblastfm libraries.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --paralell --dbg-package=liblastfm-dbg

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_FINGERPRINT=TRUE

.PHONY: override_dh_auto_test

## liblastfm 1.0.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,11 +4,11 @@
 set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)
 
 # general settings
-set(LASTFM_VERSION 1.0.0)
+set(LASTFM_VERSION 1.0.3)
 set(LASTFM_SOVERSION 1)
 
 # options
-option(BUILD_FINGERPRINT "Build the lastfm-fingerprint library" OFF)
+option(BUILD_FINGERPRINT "Build the lastfm-fingerprint library" ON)
 option(BUILD_DEMOS "Build the lastfm example programs" OFF)
 option(BUILD_TESTS "Build liblastfm tests" ON)

=== src/fingerprint/CMakeLists.txt ===

find_package(Qt4 COMPONENTS QtCore QtSql REQUIRED)
#FIXME: find modules are horrible, port them to find_package_handle_standard_args
find_package(LibSamplerate REQUIRED)
find_package(LibFFTW3 REQUIRED)

include_directories(${LIBFFTW3_INCLUDE_DIR})
include_directories(${LIBSAMPLERATE_INCLUDE_DIR})
include_directories(${QT_INCLUDES})
include_directories(${CMAKE_CURRENT_LIST_DIR}/..)

set(lastfm_fingerprint_SOURCES
  Collection.cpp
  Fingerprint.cpp
  Sha256.cpp
  fplib/Filter.cpp
  fplib/FingerprintExtractor.cpp
  fplib/OptFFT.cpp
)

set(lastfm_fingerprint_HEADERS
    Fingerprint.h
    FingerprintableSource.h
)

add_library(lastfm_fingerprint SHARED ${lastfm_fingerprint_SOURCES})

target_link_libraries(lastfm_fingerprint
    lastfm
    ${QT_QTSQL_LIBRARY}
    ${QT_QTCORE_LIBRARY}
    ${LIBSAMPLERATE_LIBRARY}
    ${LIBFFTW3_LIBRARY}
)

set_target_properties(lastfm_fingerprint PROPERTIES
    COMPILE_DEFINITIONS LASTFM_FINGERPRINT_LIB
    VERSION ${LASTFM_VERSION}
    SOVERSION ${LASTFM_SOVERSION}
)

install(TARGETS lastfm_fingerprint
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
)

install(FILES ${lastfm_fingerprint_HEADERS} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/lastfm/)

=== debian/changelog ===
liblastfm (1.0.3-0ubuntu1) raring; urgency=low

  * New upstream release (LP: #1074873)
    - fix lintian warnings:
      + debhelper-but-no-misc-depends liblastfm-dev
      + debhelper-overrides-need-versioned-build-depends (>= 7.0.50~)

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 05 Nov 2012 15:48:08 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: extra
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: John Stamp <jstamp@users.sourceforge.net>
-Build-Depends: debhelper (>= 7), ruby, libqt4-dev, libfftw3-dev, libsamplerate0-dev, cmake
+Build-Depends: debhelper (>= 7.0.50~), ruby, libqt4-dev, libfftw3-dev, libsamplerate0-dev, cmake
 Standards-Version: 3.8.3
 Section: libs
 Homepage: http://www.last.fm/
@@ -10,7 +10,7 @@
 Package: liblastfm-dev
 Section: libdevel
 Architecture: any
-Depends: liblastfm1 (= ${binary:Version}), liblastfm-fingerprint1 (= ${binary:Version}),
+Depends: ${misc:Depends}, liblastfm1 (= ${binary:Version}), liblastfm-fingerprint1 (= ${binary:Version}),
  libqt4-dev
 Description: Last.fm web services library - development files
  liblastfm is a collection of C++/Qt4 libraries provided by Last.fm for use

## liblastfm 1.0.7

=== debian/changelog ===
liblastfm (1.0.7-2) unstable; urgency=low

  * Bump Standards-Version to 3.9.4.  No changes needed.
  * Upload to unstable.

 -- John Stamp <jstamp@users.sourceforge.net>  Sat, 01 Jun 2013 07:09:27 -0700

liblastfm (1.0.7-1) experimental; urgency=low

  * New upstream release.
  * Update symbols files.

 -- John Stamp <jstamp@users.sourceforge.net>  Wed, 27 Feb 2013 08:24:42 -0800

liblastfm (1.0.3-1) experimental; urgency=low

  * New upstream release.
  * Remove patches applied upstream:
    - dont_leak_qnetwork_replies_in_audioscrobbler.patch
    - fix_no_return_in_nonvoid.patch
    - fix_wrong_parameter_name_in_removetag.patch
  * Update symbols files

 -- John Stamp <jstamp@users.sourceforge.net>  Wed, 17 Oct 2012 10:38:45 -0700

liblastfm (1.0.2-1) experimental; urgency=low

  * New upstream release.
  * Update symbols files.
  * Add patches:
    - fix_wrong_parameter_name_in_removetag.patch
    - dont_leak_qnetwork_replies_in_audioscrobbler.patch
    - fix_no_return_in_nonvoid.patch
  * Update debian/copyright and debian/watch; upstream changed the location of
    its release repository.

 -- John Stamp <jstamp@users.sourceforge.net>  Wed, 12 Sep 2012 17:27:02 -0700

liblastfm (1.0.1-1) experimental; urgency=low

  * New upstream
  * Remove fix-build-with-ruby1.9.patch
  * Rename lib packages due to SONAME change
  * Modify Build-Depends since upstream now uses cmake
  * Use debhelper 9 for multiarch and hardened build flags
  * Fix lintian warnings description-synopsis-starts-with-article,
    binary-control-field-duplicates-source
  * Add libqt4-dev and misc:Depends to liblastfm-dev; remove shlibs:Depends
    from liblastfm-dbg
  * Add a watch file
  * Bump Standards-Version to 3.9.3
  * Update debian/copyright
  * Add symbols files and use pkgkde_symbolshelper in dh invocation
  * Add --parallel to dh invocation

 -- John Stamp <jstamp@users.sourceforge.net>  Thu, 26 Jul 2012 21:23:10 -0700

=== debian/control ===
Source: liblastfm
Priority: extra
Maintainer: John Stamp <jstamp@users.sourceforge.net>
Build-Depends:
 cmake,
 debhelper (>= 9),
 libfftw3-dev,
 libqt4-dev,
 libsamplerate0-dev,
 pkg-kde-tools
Standards-Version: 3.9.4
Section: libs
Homepage: http://www.last.fm/
Vcs-Browser: http://github.com/jstamp/liblastfm
Vcs-Git: git://github.com/jstamp/liblastfm.git

Package: liblastfm-dev
Section: libdevel
Architecture: any
Depends:
 liblastfm-fingerprint1 (= ${binary:Version}),
 liblastfm1 (= ${binary:Version}),
 libqt4-dev,
 ${misc:Depends}
Description: Last.fm web services library - development files
 liblastfm is a collection of C++/Qt4 libraries provided by Last.fm for use
 with their web services.
 .
 This package contains the development files. Developers working on a new
 client will need to request an API key. See README for more details.

Package: liblastfm1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Last.fm web services library
 liblastfm is a collection of C++/Qt4 libraries provided by Last.fm for use
 with their web services.
 .
 This package contains the base web services library.

Package: liblastfm-fingerprint1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Last.fm fingerprinting library
 liblastfm is a collection of C++/Qt4 libraries provided by Last.fm for use
 with their web services.
 .
 This library lets you fingerprint decoded audio tracks and fetch metadata
 suggestions for them.

Package: liblastfm-dbg
Architecture: any
Section: debug
Depends:
 liblastfm-fingerprint1 (= ${binary:Version}),
 liblastfm1 (= ${binary:Version}),
 ${misc:Depends}
Description: Debugging symbols for the Last.fm web services library
 liblastfm is a collection of C++/Qt4 libraries provided by Last.fm for use
 with their web services.
 .
 This package contains the debugging symbols for the liblastfm libraries.

=== debian/watch ===
version=3
http://github.com/lastfm/liblastfm/tags .*/tarball/(\d[\d\.]+)

## liblastfm 1.0.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,8 +4,13 @@
 set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)
 
 # general settings
-set(LASTFM_VERSION 1.0.3)
 set(LASTFM_SOVERSION 1)
+set(LASTFM_VERSION "0x00010007")
+
+set(LASTFM_MAJOR_VERSION "1")
+set(LASTFM_MINOR_VERSION "0")
+set(LASTFM_PATCH_VERSION "8")
+set(LASTFM_VERSION_STRING "${LASTFM_MAJOR_VERSION}.${LASTFM_MINOR_VERSION}.${LASTFM_PATCH_VERSION}")
 
 # options
 option(BUILD_FINGERPRINT "Build the lastfm-fingerprint library" ON)
@@ -20,8 +25,38 @@
 set(CMAKE_MODULE_PATH "${CMAKE_MODULE_PATH}" "${PROJECT_SOURCE_DIR}/cmake/Modules")
 
 # setup qt stuff
-find_package(Qt4 COMPONENTS QtCore QtNetwork QtXml REQUIRED)
-set(CMAKE_AUTOMOC TRUE)
+set(CMAKE_AUTOMOC ON)
+
+option(BUILD_WITH_QT4 "Build liblastfm with Qt4 no matter if Qt5 was found" OFF)
+
+if( NOT BUILD_WITH_QT4 )
+    # try Qt5 first, and prefer that if found
+    find_package(Qt5Core QUIET)
+endif()
+
+if(Qt5Core_DIR)
+    message(STATUS "Found Qt5! Please keep in mind, this is highly experimental and not our main development target..")
+    include_directories(${Qt5Core_INCLUDE_DIRS})
+
+#     macro(qt_wrap_ui)
+#         qt5_wrap_ui(${ARGN})
+#     endmacro()
+#
+#     macro(qt_add_resources)
+#         qt5_add_resources(${ARGN})
+#     endmacro()
+#
+#     find_package(Qt5LinguistTools REQUIRED)
+#     macro(qt_add_translation)
+#         qt5_add_translation(${ARGN})
+#     endmacro()
+else()
+    find_package(Qt4 COMPONENTS QtCore QtNetwork QtXml REQUIRED)
+
+    macro(qt5_use_modules)
+    endmacro()
+endif()
+
 
 if(CMAKE_COMPILER_IS_GNUCXX)
     add_definitions("-fno-operator-names -fvisibility-inlines-hidden -fvisibility=hidden")

=== src/CMakeLists.txt ===
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/global.h.in ${CMAKE_CURRENT_BINARY_DIR}/global.h)


add_definitions(${QT_DEFINITIONS})
include_directories(${QT_INCLUDES} ${CMAKE_CURRENT_BINARY_DIR})
set(liblastfm_LIBRARIES
    ${QT_QTCORE_LIBRARY}
    ${QT_QTNETWORK_LIBRARY}
    ${QT_QTXML_LIBRARY}
)

list(APPEND liblastfm_QT5_MODULES
    Xml
    Network
)

set(liblastfm_SOURCES
        ws.cpp
        NetworkConnectionMonitor.cpp
        NetworkAccessManager.cpp
        InternetConnectionMonitor.cpp
        Xspf.cpp
        User.cpp
        Track.cpp
        Tasteometer.cpp
        Tag.cpp
        Playlist.cpp
        Mbid.cpp
        FingerprintId.cpp
        Artist.cpp
        Album.cpp
        ScrobbleCache.cpp
        ScrobblePoint.cpp
        Audioscrobbler.cpp
        RadioTuner.cpp
        RadioStation.cpp
        XmlQuery.cpp
        Url.cpp
        UrlBuilder.cpp
        misc.cpp
        Chart.cpp
        Auth.cpp
        Library.cpp
)

if(WIN32)
    add_definitions("-DWIN32_LEAN_AND_MEAN")

    if(NOT MINGW)
        add_definitions("-D_ATL_DLL -D_CRT_SECURE_NO_WARNINGS")

        list(APPEND liblastfm_SOURCES
            win/WNetworkConnectionMonitor_win.cpp
            win/WmiSink.cpp
            win/NdisEvents.cpp
        )
        list(APPEND liblastfm_LIBRARIES
            winhttp
            wbemuuid
        )
    endif()
endif()

if(APPLE)
    #FIXME: enable this when deploying
    #set(CMAKE_OSX_ARCHITECTURES "i386;ppc")
    #set(CMAKE_OSX_DEPLOYMENT_TARGET 10.5)
    #set(CMAKE_OSX_SYSROOT "/Developer/SDKs/MacOSX${CMAKE_OSX_DEPLOYMENT_TARGET}.sdk")

    list(APPEND liblastfm_SOURCES
        mac/MNetworkConnectionMonitor_mac.cpp
    )

    find_library(SYSTEMCONFIGURATION_LIBRARY SystemConfiguration)
    find_library(COREFOUNDATION_LIBRARY CoreFoundation)
    list(APPEND liblastfm_LIBRARIES
        ${COREFOUNDATION_LIBRARY}
        ${SYSTEMCONFIGURATION_LIBRARY}
    )
endif()

if(UNIX AND NOT APPLE)
    list(APPEND liblastfm_SOURCES
        linux/LNetworkConnectionMonitor_linux.cpp
    )
    list(APPEND liblastfm_LIBRARIES ${QT_QTDBUS_LIBRARY})
    list(APPEND liblastfm_QT5_MODULES DBus)
endif()

add_library(lastfm SHARED ${liblastfm_SOURCES})
qt5_use_modules(lastfm ${liblastfm_QT5_MODULES})

target_link_libraries(lastfm ${liblastfm_LIBRARIES})
set_target_properties(lastfm PROPERTIES
    VERSION ${LASTFM_VERSION_STRING}
    SOVERSION ${LASTFM_SOVERSION}
    COMPILE_DEFINITIONS LASTFM_LIB
)

install(TARGETS lastfm
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
)

file(GLOB liblastfm_HEADERS ${CMAKE_CURRENT_LIST_DIR}/*.h)
list(APPEND liblastfm_HEADERS ${CMAKE_CURRENT_BINARY_DIR}/global.h)
install(FILES ${liblastfm_HEADERS} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/lastfm/)

=== src/fingerprint/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 
-find_package(Qt4 COMPONENTS QtCore QtSql REQUIRED)
+#find_package(Qt4 COMPONENTS QtCore QtSql REQUIRED)
 #FIXME: find modules are horrible, port them to find_package_handle_standard_args
 find_package(LibSamplerate REQUIRED)
 find_package(LibFFTW3 REQUIRED)
@@ -8,6 +8,7 @@
 include_directories(${LIBSAMPLERATE_INCLUDE_DIR})
 include_directories(${QT_INCLUDES})
 include_directories(${CMAKE_CURRENT_LIST_DIR}/..)
+include_directories(${CMAKE_CURRENT_BINARY_DIR}/..)
 
 set(lastfm_fingerprint_SOURCES
   Collection.cpp
@@ -35,9 +36,11 @@
 
 set_target_properties(lastfm_fingerprint PROPERTIES
     COMPILE_DEFINITIONS LASTFM_FINGERPRINT_LIB
-    VERSION ${LASTFM_VERSION}
+    VERSION ${LASTFM_VERSION_STRING}
     SOVERSION ${LASTFM_SOVERSION}
 )
+
+qt5_use_modules(lastfm_fingerprint Network Sql Xml)
 
 install(TARGETS lastfm_fingerprint
     RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}

=== debian/changelog ===
liblastfm (1.0.8-2) unstable; urgency=low

  * Check Q_OS_UNIX definition instead of nonexistent Q_OS_X11.  This fixes
    the cache and config paths that broke in the last upload.

 -- John Stamp <jstamp@users.sourceforge.net>  Wed, 04 Sep 2013 11:06:05 -0700

liblastfm (1.0.8-1) unstable; urgency=low

  * New upstream release.
  * Update debian/watch file.  Thanks to Bart Martens.
  * Mark the -dbg and -dev packages Multi-Arch: same
  * Update symbols for liblastfm1

 -- John Stamp <jstamp@users.sourceforge.net>  Tue, 03 Sep 2013 18:27:52 -0700

=== debian/control ===
--- 
+++ 
@@ -17,6 +17,7 @@
 Package: liblastfm-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends:
  liblastfm-fingerprint1 (= ${binary:Version}),
  liblastfm1 (= ${binary:Version}),
@@ -58,6 +59,7 @@
 
 Package: liblastfm-dbg
 Architecture: any
+Multi-Arch: same
 Section: debug
 Depends:
  liblastfm-fingerprint1 (= ${binary:Version}),

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_KDE_LINK_WITH_AS_NEEDED = yes
include /usr/share/pkg-kde-tools/makefiles/1/variables.mk

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_FINGERPRINT=TRUE -DBUILD_TESTS=FALSE $(DEB_CMAKE_CUSTOM_FLAGS)

%:
	dh $@ --parallel --list-missing --dbg-package=liblastfm-dbg --with pkgkde_symbolshelper

## liblastfm 1.0.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,11 +5,11 @@
 
 # general settings
 set(LASTFM_SOVERSION 1)
-set(LASTFM_VERSION "0x00010007")
+set(LASTFM_VERSION "0x00010009")
 
 set(LASTFM_MAJOR_VERSION "1")
 set(LASTFM_MINOR_VERSION "0")
-set(LASTFM_PATCH_VERSION "8")
+set(LASTFM_PATCH_VERSION "9")
 set(LASTFM_VERSION_STRING "${LASTFM_MAJOR_VERSION}.${LASTFM_MINOR_VERSION}.${LASTFM_PATCH_VERSION}")
 
 # options
@@ -35,8 +35,12 @@
 endif()
 
 if(Qt5Core_DIR)
+    set(LASTFM_LIB_VERSION_SUFFIX 5)
     message(STATUS "Found Qt5! Please keep in mind, this is highly experimental and not our main development target..")
     include_directories(${Qt5Core_INCLUDE_DIRS})
+    if(UNIX AND NOT APPLE)
+        find_package(Qt5DBus REQUIRED)
+    endif()
 
 #     macro(qt_wrap_ui)
 #         qt5_wrap_ui(${ARGN})
@@ -69,6 +73,12 @@
 	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /Zc:wchar_t-")
 endif(MSVC)
 
+set(LASTFM_LIB_TARGET_NAME lastfm${LASTFM_LIB_VERSION_SUFFIX} CACHE
+    INTERNAL "Target name of liblastfm" FORCE)
+
+set(FINGERPRINT_LIB_TARGET_NAME lastfm_fingerprint${LASTFM_LIB_VERSION_SUFFIX} CACHE
+    INTERNAL "Target name of liblastfm_fingerprint" FORCE)
+
 # main library
 add_subdirectory(src)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -87,17 +87,17 @@
     list(APPEND liblastfm_QT5_MODULES DBus)
 endif()
 
-add_library(lastfm SHARED ${liblastfm_SOURCES})
-qt5_use_modules(lastfm ${liblastfm_QT5_MODULES})
+add_library(${LASTFM_LIB_TARGET_NAME} SHARED ${liblastfm_SOURCES})
+qt5_use_modules(${LASTFM_LIB_TARGET_NAME} ${liblastfm_QT5_MODULES})
 
-target_link_libraries(lastfm ${liblastfm_LIBRARIES})
-set_target_properties(lastfm PROPERTIES
+target_link_libraries(${LASTFM_LIB_TARGET_NAME} ${liblastfm_LIBRARIES})
+set_target_properties(${LASTFM_LIB_TARGET_NAME} PROPERTIES
     VERSION ${LASTFM_VERSION_STRING}
     SOVERSION ${LASTFM_SOVERSION}
     COMPILE_DEFINITIONS LASTFM_LIB
 )
 
-install(TARGETS lastfm
+install(TARGETS ${LASTFM_LIB_TARGET_NAME}
     RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
     LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
     ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}

=== src/fingerprint/CMakeLists.txt ===
--- 
+++ 
@@ -24,25 +24,25 @@
     FingerprintableSource.h
 )
 
-add_library(lastfm_fingerprint SHARED ${lastfm_fingerprint_SOURCES})
+add_library(${FINGERPRINT_LIB_TARGET_NAME} SHARED ${lastfm_fingerprint_SOURCES})
 
-target_link_libraries(lastfm_fingerprint
-    lastfm
+target_link_libraries(${FINGERPRINT_LIB_TARGET_NAME}
+    ${LASTFM_LIB_TARGET_NAME}
     ${QT_QTSQL_LIBRARY}
     ${QT_QTCORE_LIBRARY}
     ${LIBSAMPLERATE_LIBRARY}
     ${LIBFFTW3_LIBRARY}
 )
 
-set_target_properties(lastfm_fingerprint PROPERTIES
+set_target_properties(${FINGERPRINT_LIB_TARGET_NAME} PROPERTIES
     COMPILE_DEFINITIONS LASTFM_FINGERPRINT_LIB
     VERSION ${LASTFM_VERSION_STRING}
     SOVERSION ${LASTFM_SOVERSION}
 )
 
-qt5_use_modules(lastfm_fingerprint Network Sql Xml)
+qt5_use_modules(${FINGERPRINT_LIB_TARGET_NAME} Network Sql Xml)
 
-install(TARGETS lastfm_fingerprint
+install(TARGETS ${FINGERPRINT_LIB_TARGET_NAME}
     RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
     LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
     ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}

=== debian/changelog ===
liblastfm (1.0.9-1) unstable; urgency=low

  * New upstream release. (Closes: #805081)
  * Set myself as the new maintainer with permission of John Stamp the original
    maintainer.
  * debian/rules;debian/control;debian/*5*:
    - Dual build: Qt4 & Qt5
  * debian/control:
    - Standards-Version: 3.9.6
  * update debian/copyright
  * Remove patch applied upstream: 
    - fix_q_os_x11.patch
  * Add patch:
    - change_target-name.patch

 -- Stefan Ahlers <stef.ahlers@t-online.de>  Fri, 20 Nov 2015 11:40:00 +0100

liblastfm (1.0.8-3) unstable; urgency=medium

  * Change my email address in debian/control, debian/copyright.
  * Mark some symbols as optional to fix build with gcc 5.

 -- John Stamp <jstamp@mehercule.net>  Mon, 29 Jun 2015 15:30:29 -0700

=== debian/control ===
Source: liblastfm
Priority: optional
Maintainer: Stefan Ahlers <stef.ahlers@t-online.de>
Build-Depends:
 cmake,
 debhelper (>= 9),
 libfftw3-dev,
 libqt4-dev,
 qtbase5-dev,
 libsamplerate0-dev,
 pkg-kde-tools
Standards-Version: 3.9.6
Section: libs
Homepage: http://www.last.fm/
Vcs-Git: git://github.com/justin-time/liblastfm.git
Vcs-Browser: https://github.com/justin-time/liblastfm

Package: liblastfm-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 liblastfm-fingerprint1 (= ${binary:Version}),
 liblastfm1 (= ${binary:Version}),
 libqt4-dev,
 ${misc:Depends}
Description: Last.fm web services library (Qt4 build) - development files
 liblastfm is a collection of C++/Qt4 libraries provided by Last.fm for use
 with their web services.
 .
 This package contains the development files. Developers working on a new
 client will need to request an API key. See README for more details.

Package: liblastfm1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Last.fm web services library (Qt4 build)
 liblastfm is a collection of C++/Qt4 libraries provided by Last.fm for use
 with their web services.
 .
 This package contains the base web services library.

Package: liblastfm-fingerprint1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Last.fm fingerprinting library (Qt4 build)
 liblastfm is a collection of C++/Qt4 libraries provided by Last.fm for use
 with their web services.
 .
 This library lets you fingerprint decoded audio tracks and fetch metadata
 suggestions for them.

Package: liblastfm-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends:
 liblastfm-fingerprint1 (= ${binary:Version}),
 liblastfm1 (= ${binary:Version}),
 ${misc:Depends}
Description: Debugging symbols for the Last.fm web services library (Qt4 build)
 liblastfm is a collection of C++/Qt4 libraries provided by Last.fm for use
 with their web services.
 .
 This package contains the debugging symbols for the liblastfm libraries.

Package: liblastfm-fingerprint5-1
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Last.fm fingerprinting library (Qt5 build)
 liblastfm is a collection of C++/Qt5 libraries provided by Last.fm for use
 with their web services.
 .
 This library lets you fingerprint decoded audio tracks and fetch metadata
 suggestions for them.

Package: liblastfm5-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 liblastfm-fingerprint5-1 (= ${binary:Version}),
 liblastfm5-1 (= ${binary:Version}),
 ${misc:Depends}
Description: Last.fm web services library (Qt5 build) - development files
 liblastfm is a collection of C++/Qt5 libraries provided by Last.fm for use
 with their web services.
 .
 This package contains the development files. Developers working on a new
 client will need to request an API key. See README for more details.

Package: liblastfm5-1
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Last.fm web services library (Qt5 build)
 liblastfm is a collection of C++/Qt5 libraries provided by Last.fm for use
 with their web services.
 .
 This package contains the base web services library.

Package: liblastfm5-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends:
 liblastfm5-1 (= ${binary:Version}),
 ${misc:Depends}
Description: Debugging symbols for the Last.fm web services library (Qt5 build)
 liblastfm is a collection of C++/Qt5 libraries provided by Last.fm for use
 with their web services.
 .
 This package contains the debugging symbols for the liblastfm libraries.
 
Package: liblastfm-fingerprint1-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends:
 liblastfm5-1 (= ${binary:Version}),
 ${misc:Depends}
Description: Debugging symbols for the fingerprint library (Qt4 build)
 liblastfm is a collection of C++/Qt4 libraries provided by Last.fm for use
 with their web services.
 .
 This package contains the debugging symbols for the liblastfm-fingerprint
 libraries.
 
Package: liblastfm-fingerprint5-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends:
 liblastfm5-1 (= ${binary:Version}),
 ${misc:Depends}
Description: Debugging symbols for the fingerprint library (Qt5 build)
 liblastfm is a collection of C++/Qt5 libraries provided by Last.fm for use
 with their web services.
 .
 This package contains the debugging symbols for the liblastfm-fingerprint
 libraries.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_KDE_LINK_WITH_AS_NEEDED = yes
QT4_PATH = build/qt4/so
QT5_PATH = build/qt5/so
include /usr/share/pkg-kde-tools/makefiles/1/variables.mk

%:
	dh $@ --parallel --with pkgkde_symbolshelper

override_dh_auto_configure:
	mkdir -p $(QT4_PATH) $(QT5_PATH)
	
	# Qt4 builds
	QT_SELECT=qt4 dh_auto_configure -B$(QT4_PATH) -- -DBUILD_FINGERPRINT=TRUE -DBUILD_TESTS=FALSE $(DEB_CMAKE_CUSTOM_FLAGS) -DBUILD_WITH_QT4=ON

	# Qt5 builds 
	QT_SELECT=qt5 dh_auto_configure -B$(QT5_PATH) -- -DBUILD_FINGERPRINT=TRUE -DBUILD_TESTS=FALSE $(DEB_CMAKE_CUSTOM_FLAGS)

override_dh_auto_build:
	# Qt4 builds - make (dynamic and static)
	QT_SELECT=qt4 dh_auto_build -B$(QT4_PATH)

	# Qt5 builds - make (dynamic and static)
	QT_SELECT=qt5 dh_auto_build -B$(QT5_PATH)
	
override_dh_auto_clean:
	dh_auto_clean -B$(QT4_PATH)
	dh_auto_clean -B$(QT5_PATH)

override_dh_auto_install:
	# Install Qt4 packages
	dh_auto_install -B$(QT4_PATH)

	# Install Qt5 packages
	dh_auto_install -B$(QT5_PATH)

override_dh_strip:
	dh_strip -pliblastfm1 --dbg-package=liblastfm-dbg
	dh_strip -pliblastfm5-1 --dbg-package=liblastfm5-dbg
	dh_strip -pliblastfm-fingerprint1 --dbg-package=liblastfm-fingerprint1-dbg
	dh_strip -pliblastfm-fingerprint5-1 --dbg-package=liblastfm-fingerprint5-dbg

override_dh_install:
	dh_install --list-missing

## liblastfm 1.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,11 +5,11 @@
 
 # general settings
 set(LASTFM_SOVERSION 1)
-set(LASTFM_VERSION "0x00010009")
+set(LASTFM_VERSION "0x00010100")
 
 set(LASTFM_MAJOR_VERSION "1")
-set(LASTFM_MINOR_VERSION "0")
-set(LASTFM_PATCH_VERSION "9")
+set(LASTFM_MINOR_VERSION "1")
+set(LASTFM_PATCH_VERSION "0")
 set(LASTFM_VERSION_STRING "${LASTFM_MAJOR_VERSION}.${LASTFM_MINOR_VERSION}.${LASTFM_PATCH_VERSION}")
 
 # options

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -105,4 +105,4 @@
 
 file(GLOB liblastfm_HEADERS ${CMAKE_CURRENT_LIST_DIR}/*.h)
 list(APPEND liblastfm_HEADERS ${CMAKE_CURRENT_BINARY_DIR}/global.h)
-install(FILES ${liblastfm_HEADERS} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/lastfm/)
+install(FILES ${liblastfm_HEADERS} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/lastfm${LASTFM_LIB_VERSION_SUFFIX}/)

=== src/fingerprint/CMakeLists.txt ===
--- 
+++ 
@@ -48,4 +48,4 @@
     ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
 )
 
-install(FILES ${lastfm_fingerprint_HEADERS} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/lastfm/)
+install(FILES ${lastfm_fingerprint_HEADERS} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/lastfm${LASTFM_LIB_VERSION_SUFFIX}/)

=== debian/changelog ===
liblastfm (1.1.0-5build3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 12 Apr 2024 05:36:58 +0000

liblastfm (1.1.0-5build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 19:09:46 +0000

liblastfm (1.1.0-5build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:39:04 +0000

liblastfm (1.1.0-5) unstable; urgency=medium

  * QA upload.
  * debian/rules:
    + Enable full hardening.
    + Explicitly enable LTO. (Closes: #1015499)
  * debian/*.symbols: Refresh symbols with LTO enabled.

 -- Boyuan Yang <byang@debian.org>  Sun, 06 Nov 2022 13:02:23 -0500

liblastfm (1.1.0-4) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Set upstream metadata fields: Repository.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 04 Jun 2022 23:05:07 +0100

liblastfm (1.1.0-3) unstable; urgency=medium

  * QA upload.
  * debian/rules: Pass -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON to
    dh_auto_configure.
  * debian/control: Set Rules-Requires-Root to "no".
  * debian/control: Update Standards-Version to 4.6.1.

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Wed, 11 May 2022 17:19:46 -0700

liblastfm (1.1.0-2) unstable; urgency=medium

  * QA upload.
  * Reconsolidate symbols using buildd logs and pkgkde-symbolshelper.

 -- Boyuan Yang <byang@debian.org>  Sun, 03 Apr 2022 10:30:32 -0400

liblastfm (1.1.0-1) unstable; urgency=medium

  * QA upload.
  * New upstream version 1.1.0
  * Orphan package.
  * debian/: Apply wrap-and-sort -abst.
  * debian/control:
    + Bump debhelper compat to v13.
    + Bump Standards-Version to 4.6.0.
    + Use correct Vcs-* URLs.
    + Drop manual -dbg packages.
    + Use github as homepage.
  * debian/patches: Drop useless patches.
  * debian/liblastfm-fingerprint5-1.symbols: Prepare for symbol refresh.

 -- Boyuan Yang <byang@debian.org>  Wed, 30 Mar 2022 16:43:45 -0400

liblastfm (1.0.9-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with GCC-11 by removing dynamic exception specifications,
    patch taken from upstream PR. (Closes: #984114)

 -- Florian Ernst <florian@debian.org>  Sun, 13 Feb 2022 08:04:58 +0100

liblastfm (1.0.9-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop Qt4 build, no reverse dependencies left in the archive and Qt4
    is going away (Closes: #875025)

 -- Moritz Muehlenhoff <jmm@debian.org>  Fri, 23 Aug 2019 23:37:23 +0200

=== debian/control ===
Source: liblastfm
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 libfftw3-dev,
 libsamplerate0-dev,
 pkg-kde-tools,
 qtbase5-dev,
Standards-Version: 4.6.1
Homepage: https://github.com/lastfm/liblastfm/
Vcs-Git: https://salsa.debian.org/debian/liblastfm.git
Vcs-Browser: https://salsa.debian.org/debian/liblastfm
Rules-Requires-Root: no

Package: liblastfm-fingerprint5-1
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Last.fm fingerprinting library (Qt5 build)
 liblastfm is a collection of C++/Qt5 libraries provided by Last.fm for use
 with their web services.
 .
 This library lets you fingerprint decoded audio tracks and fetch metadata
 suggestions for them.

Package: liblastfm5-1
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Last.fm web services library (Qt5 build)
 liblastfm is a collection of C++/Qt5 libraries provided by Last.fm for use
 with their web services.
 .
 This package contains the base web services library.

Package: liblastfm5-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 liblastfm-fingerprint5-1 (= ${binary:Version}),
 liblastfm5-1 (= ${binary:Version}),
 ${misc:Depends},
Description: Last.fm web services library (Qt5 build) - development files
 liblastfm is a collection of C++/Qt5 libraries provided by Last.fm for use
 with their web services.
 .
 This package contains the development files. Developers working on a new
 client will need to request an API key. See README for more details.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all, optimize=+lto

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND =

DEB_KDE_LINK_WITH_AS_NEEDED = yes
QT5_PATH = build/qt5/so
include /usr/share/pkg-kde-tools/makefiles/1/variables.mk

%:
	dh $@ --with pkgkde_symbolshelper

override_dh_auto_configure:
	mkdir -p $(QT5_PATH)
	QT_SELECT=qt5 dh_auto_configure -B$(QT5_PATH) -- -DBUILD_FINGERPRINT=TRUE -DBUILD_TESTS=FALSE -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON $(DEB_CMAKE_CUSTOM_FLAGS)

override_dh_auto_build:
	QT_SELECT=qt5 dh_auto_build -B$(QT5_PATH)

override_dh_auto_clean:
	dh_auto_clean -B$(QT5_PATH)

override_dh_auto_install:
	dh_auto_install -B$(QT5_PATH)

override_dh_strip:
	dh_strip --dbgsym-migration='liblastfm5-dbg (<< 1.1.0), liblastfm-fingerprint5-dbg (<< 1.1.0)'
